InterpolatingCPICapFloorEngine Class Reference

`#include <ql/experimental/inflation/cpicapfloorengines.hpp>`

Inherits CPICapFloor::engine.

## Public Member Functions

| InterpolatingCPICapFloorEngine (const Handle< CPICapFloorTermPriceSurface > &)
virtual void | calculate () const
virtual std::string | name () const

## Protected Attributes

Handle< CPICapFloorTermPriceSurface > | priceSurf_

## Detailed Description

This engine only adds timing functionality (e.g. different lag) w.r.t. an existing interpolated price surface.